# Poco

# class PurgeByAgeStrategy

Library: Foundation
Package: Logging
Header: Poco/PurgeStrategy.h

## Description

This purge strategy purges all files that have exceeded a given age (given in seconds).

## Inheritance

Direct Base Classes: PurgeStrategy

All Base Classes: PurgeStrategy

## Member Summary

Member Functions: purge

Inherited Functions: list, purge

## Constructors

### PurgeByAgeStrategy

PurgeByAgeStrategy(
const Timespan & age
);

## Destructor

### ~PurgeByAgeStrategy

~PurgeByAgeStrategy();

## Member Functions

### purge

void purge(
const std::string & path
);

See also: Poco::PurgeStrategy::purge()